Skip to main content
GET
List Markets

Headers

Api-Version-Date
string

Pins the request to a dated API version.

Example:

"2026-10-24"

Query Parameters

instrument_type
enum<string>

Only return perpetuals or only spot markets.

Available options:
perpetual,
spot
first
integer
default:20

Number of results to return from the start of the range.

Required range: x <= 100
after
string

Return results after this cursor. Use page_info.end_cursor from the previous response to fetch the next page.

last
integer

Number of results to return from the end of the range.

Required range: x <= 100
before
string

Return results before this cursor. Use page_info.start_cursor from the previous response to fetch the previous page.

Response

markets listed

data
object[]
required
page_info
object
required